# ApiExternalUserMappingList Data Model

A list of external user mappings.

Properties
name | data type | description
--- | --- | ---
items | array of ApiExternalUserMapping |

Example

    {
      "items" : [ {
        "name" : "...",
        "type" : "SAML_SCRIPT",
        "uuid" : "...",
        "authRoles" : [ {
          "displayName" : "...",
          "name" : "...",
          "uuid" : "..."
        }, {
          "displayName" : "...",
          "name" : "...",
          "uuid" : "..."
        } ]
      }, {
        "name" : "...",
        "type" : "EXTERNAL_PROGRAM",
        "uuid" : "...",
        "authRoles" : [ {
          "displayName" : "...",
          "name" : "...",
          "uuid" : "..."
        }, {
          "displayName" : "...",
          "name" : "...",
          "uuid" : "..."
        } ]
      } ]
    }